Index: branch/mbaye/Emb_App.tws
===================================================================
--- branch/mbaye/Emb_App.tws	(revision 180)
+++ branch/mbaye/Emb_App.tws	(revision 181)
@@ -7,9 +7,9 @@
 [GENERAL_DATA]
 [BREAKPOINTS]
 [OPEN_WORKSPACE_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" 
 [WORKSPACE_FILE_STATES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" -8 -30 1596 659 1 0 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" 0 0 1426 497 0 0 
 [LOADED_PROJECTS]
 "EmbM32C87App" 
 [END]
Index: branch/mbaye/Emb_App/SessionM32C_E8a_system.hsf
===================================================================
--- branch/mbaye/Emb_App/SessionM32C_E8a_system.hsf	(revision 180)
+++ branch/mbaye/Emb_App/SessionM32C_E8a_system.hsf	(revision 181)
@@ -149,12 +149,12 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_13" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_14" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_15" "0000000000000512" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF056E" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_16" "0000000000FF0580" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_17" "0000000000FFF800" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000928" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "000000000000074A" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004004" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_18" "0000000000000BBA" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_19" "00000000000007EA" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_2" "0000000000000001" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_20" "0000000000004044" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_21" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_22" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_23" "0000000000000000" 
@@ -173,7 +173,7 @@
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_35" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_4" "0000000000000008" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_5" "0000000000000000" 
-"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000946" 
+"{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_6" "0000000000000BE6" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_7" "0000000000000512" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_8" "0000000000000000" 
 "{64753FED-D387-4B8C-A91D-D3419C869C07}C_REGISTER_REG_9" "0000000000000000" 
@@ -205,9 +205,15 @@
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth2" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ColWidth3" "200" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH" "c,buff,n,rx,flag," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "dma0_fin_tr, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000" "d, 2, 0, P, Col, Hex, MN" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0000_SCOPE" "Current Scope," 
-"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "0" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001" "com, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0001_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002" "b, 10, 0, P, Col, Hex, N" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0002_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003" "a, 2, 0, P, Col, Hex, MN" 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEM0003_SCOPE" "Current Scope," 
+"{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd0ECX_WATCH_ITEMCnt" "4" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth0" "120" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth1" "150" 
 "{B266D880-6FA1-11D5-8613-00A024591A38}WatchWnd1ColWidth12" "200" 
@@ -268,7 +274,7 @@
 [LANGUAGE]
 "English" 
 [CONFIG_INFO_VD1]
-1 
+0 
 [CONFIG_INFO_VD2]
 0 
 [CONFIG_INFO_VD3]
@@ -277,14 +283,14 @@
 0 
 [WINDOW_POSITION_STATE_DATA_VD1]
 "Help" "TOOLBAR 0" 59419 2 4 "0.00" 0 0 0 0 0 17 0 "" "0.0" 
-"{WK_00000001_CmdLine}" "WINDOW" 59422 0 0 "0.14" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
+"{WK_00000001_CmdLine}" "WINDOW" 59422 0 1 "0.09" 365 0 0 350 200 17 0 "32771|32772|32778|<<separator>>|32773|32774|<<separator>>|32820|<<separator>>|32801|32824" "0.0" 
 "{WK_00000001_DISASSEMBLY}" "WINDOW" 0 0 0 "0.00" 0 -4 -30 948 486 9 0 "" "0.0" 
-"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.16" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
+"{WK_00000001_EVENT}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 0 "0.11" 365 0 0 350 200 18 0 "32774|32775|32777|<<separator>>|32780|<<separator>>" "0.0" 
 "{WK_00000001_MEMORY}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 1 "0.23" 365 2 -1 350 200 2065 0 "42202|42203|42204|42233|<<separator>>|42206|42205|42230|42229|42207|<<separator>>|42208|42209|42210|49076|42228|42227|<<separator>>|42231|42232|42234|42235|<<separator>>|42211|<<separator>>|32796|32797" "0.0" 
-"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 1 "1.00" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
-"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.15" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
+"{WK_00000001_OUTPUT}" "WINDOW" 59422 0 2 "0.35" 365 0 0 350 200 18 0 "36756|36757|36758|36759|<<separator>>|36746|36747|<<separator>>|39531|<<separator>>|39500|39534|<<separator>>|36687" "0.0" 
+"{WK_00000001_PDMR}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 3 "0.26" 365 0 0 350 200 18 0 "47300|47301|47302|47303|47304|47305|47314|47306|47307|47308|47311|47312|47313|42211|42509|42303" "0.0" 
 "{WK_00000001_REGISTERS}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59421 0 0 "1.00" 236 0 0 350 200 2065 0 "" "0.0" 
-"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.13" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
+"{WK_00000001_WATCH}EmbM32C87AppSessionM32C_E8a_system" "WINDOW" 59422 0 4 "0.28" 365 0 0 350 200 18 0 "32781|32783|<<separator>>|32771|32772|32773|<<separator>>|32786|<<separator>>|32810|32811" "0.0" 
 "{WK_00000002_WORKSPACE}" "WINDOW" 59420 0 0 "1.00" 308 0 0 350 200 18 0 "" "0.0" 
 "{WK_TB00000001_STANDARD}" "TOOLBAR 0" 59419 0 2 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
 "{WK_TB00000002_EDITOR}" "TOOLBAR 0" 59419 0 0 "0.00" 0 0 0 0 0 18 0 "" "0.0" 
@@ -309,7 +315,7 @@
 [WINDOW_POSITION_STATE_DATA_VD3]
 [WINDOW_POSITION_STATE_DATA_VD4]
 [WINDOW_Z_ORDER]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" 
 [TARGET_NAME]
 "M32C E8a SYSTEM" "" 0 
 [STATUSBAR_STATEINFO_VD1]
@@ -356,5 +362,5 @@
 [FLASH_DETAILS]
 "" 0 0 "" 0 "" 0 0 "" 0 0 0 0 0 0 0 "" "" "" "" "" 
 [BREAKPOINTS]
-"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 0 1 "{00000000-0000-0000-C000-000000000046}" "" 
+"d:\profs\tp_info14_travail\tp_info14\emb_app\programme_principal_etud.c" 95 120622032 1 "{00000000-0000-0000-C000-000000000046}" "" 
 [END]
Index: branch/mbaye/Emb_App/programme_principal_etud.c
===================================================================
--- branch/mbaye/Emb_App/programme_principal_etud.c	(revision 180)
+++ branch/mbaye/Emb_App/programme_principal_etud.c	(revision 181)
@@ -26,10 +26,16 @@
 #include "carte_io.h"
 #include "carte_m32.h"
 #include <math.h>
-unsigned int a; //valeur de l'angle lue
-unsigned int d; //distance telemetre
+
 unsigned int com; //commande
-
+int pos_tourelle;
+int vitesse;
+int pos;
+int dis;
+//int a;
+//int b;
+UINT flag;
+  
 // Potentiometre: lire les registres ad00 et ad01, les valeurs sont sur 10 bits.
 
 // Clavier: vrcv_dtq(QdmTouche,&code_touche) pour lire la derniere touche appuyee sur le clavier.
@@ -123,6 +129,7 @@
 //'I'/73/Ox49 : Définition du nom du véhicule. Doit débuter par le caractère '#' et entraine le chargement de la configuration de piste
 //				correspondant au nom du véhicule si le nom se termine par '*'
 
+
 
 void main()
 {
@@ -136,44 +143,49 @@
 	capture_init();
 
 	sta_cyc(ID_acqui);
-	sta_tsk(ID_periph_rx);
+	sta_tsk(ID_periph_rx);
+	
 
     while(1)
     {
-		/*LED_J=1;
-		dly_tsk(100);
-		LED_J=0;
-		dly_tsk(100);*/
-		CanFrame comm;
-        comm.data.id='T'; comm.data.rtr=0; comm.data.val=45;
-	    snd_dtq (CanTx,comm.msg);
+	    CanFrame m; CanFrame req;
+
+        m.data.id='T'; m.data.rtr=0; m.data.val=12;
+	    snd_dtq (CanTx,m.msg);
+		//pos_tourelle=m.data.val;
 		dly_tsk(100);
-		
-		comm.data.id='R'; comm.data.rtr=1;
-	    snd_dtq (CanTx,comm.msg);
-		a= periph[ADDR('R')].val;
-		dly_tsk(100);
 		
-		comm.data.id='V'; comm.data.rtr=0; comm.data.val=35;
-	    snd_dtq (CanTx,comm.msg);
+		req.data.id='R';
+			  req.data.rtr=1;
+	          periph[ADDR('R')].ev=0x01;
+			  snd_dtq(CanTx, req.msg);
+			  wai_flg(ev_periph,0x01,TWF_ANDW,&flag);
+	          pos=periph[ADDR('R')].val;
+	
+		m.data.id='V'; m.data.rtr=0; m.data.val=10;
+	    snd_dtq (CanTx,m.msg);
 		dly_tsk(100);
-		
-		comm.data.id='U'; comm.data.rtr=1;
-	    snd_dtq (CanTx,comm.msg);
-		d= periph[ADDR('R')].val;
-		dly_tsk(100);
-		
-		comm.data.id='T'; comm.data.rtr=0; comm.data.val=com= 1.2*(45-a);
-	    snd_dtq (CanTx,comm.msg);
-		dly_tsk(100);
-		
-		if(d > 0x002d)
+		//rcv_dtq(CanRx, &m.msg);
+		switch(m.data.id)
 		{
-			comm.data.id='D'; comm.data.rtr=0; comm.data.val=-45;
-	        snd_dtq (CanTx,comm.msg);
+			case 'T':
+			 
+			  
+			  
+			  pos_tourelle=1.2*(12-pos);
+			  break;
+			case 'V':
+			  vitesse=m.data.val;
+			  req.data.id='U';
+			  req.data.rtr=1;
+			  periph[ADDR('U')].ev=0x01;
+			  snd_dtq(CanTx, req.msg);
+			  wai_flg(ev_periph,0x01,TWF_ANDW,&flag);
+			  dis=periph[ADDR('U')].val;  
+			 
+			  break;
 		}
-		
-		dly_tsk(100);
+		
     }
 		
 }
@@ -181,5 +193,4 @@
 void acqui()
 {
 	LED_V=!LED_V;
-}
-
+}
Index: branch/mbaye/Emb_App/conf_noyau.cfg
===================================================================
--- branch/mbaye/Emb_App/conf_noyau.cfg	(revision 180)
+++ branch/mbaye/Emb_App/conf_noyau.cfg	(revision 181)
@@ -61,7 +61,6 @@
 	initial_start	= OFF;
 	exinf	= 0x0;
 };
-
 flag[]{
 	name	= ev_bus_fin_tr;
 	initial_pattern	= 0x0000;
Index: branch/mbaye/Emb_App/EmbM32C87App.hwp
===================================================================
--- branch/mbaye/Emb_App/EmbM32C87App.hwp	(revision 180)
+++ branch/mbaye/Emb_App/EmbM32C87App.hwp	(revision 181)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
+"EmbM32C87App" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\EmbM32C87App.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug" 
-"Debug_M32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
-"Debug_M32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Debug_M32C_Simulator" 
-"Release" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\Release" 
+"Debug" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\Debug" 
+"Debug_M32C_FoUSB_UART" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\Debug_M32C_FoUSB_UART" 
+"Debug_M32C_Simulator" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\Debug_M32C_Simulator" 
+"Release" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,29 +105,29 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "User" "C source file" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\conf_noyau.cfg" "User" "Configuration file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\crt0mr.a30" "User" "Assembly source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\can.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\can.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\carte_io.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\carte_m32.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\clavier.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\clavier.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\dma0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\dma0.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\lcd.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\lcd.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\mli.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\mli.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\periph.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\periph.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\radiocommande.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\radiocommande.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\sfr32c83.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\sfr32c87.h" "User" "C header file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\uart0.c" "User" "C source file" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\uart0.h" "User" "C header file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C header file" "C header file" 
@@ -138,10 +138,10 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\DefaultSession.hsf" 0 
-"SessionM32C_E8a_system" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
-"SessionM32C_FoUSB_UART" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
-"SessionM32C_Simulator" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\DefaultSession.hsf" 0 
+"SessionM32C_E8a_system" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\SessionM32C_E8a_system.hsf" 0 
+"SessionM32C_FoUSB_UART" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\SessionM32C_FoUSB_UART.hsf" 0 
+"SessionM32C_Simulator" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_system]
 [GENERAL_DATA_SESSION_SessionM32C_FoUSB_UART]
@@ -148,18 +148,18 @@
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\can.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\clavier.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\dma0.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\lcd.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\mli.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\periph.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\radiocommande.c" "0d1c724595684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\uart0.c" "0d1c724595684d10" 2 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -187,18 +187,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_FoUSB_UART_Renesas M32C Librarian]
@@ -226,18 +226,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_FoUSB_UART]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -265,18 +265,18 @@
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "061cd8963acbbc10" 3 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\crt0mr.a30" "061cd8963acbbc10" 3 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "061cd8963acbbc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\can.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
-"E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\Emb_App\programme_principal_etud.c" "061041b59a3acc10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\can.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\clavier.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\dma0.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\lcd.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\mli.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\periph.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\radiocommande.c" "032b447e85684d10" 2 
+"E:\tp_info6_2018_mbaye\tp_info6\bsp\uart0.c" "032b447e85684d10" 2 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "061cd8963acbbc10" 1 
 [OPTIONS_Release_Renesas M32C Librarian]
Index: branch/mbaye/Emb_App/EmbM32C87App.tps
===================================================================
--- branch/mbaye/Emb_App/EmbM32C87App.tps	(revision 180)
+++ branch/mbaye/Emb_App/EmbM32C87App.tps	(revision 181)
@@ -18,7 +18,7 @@
 "SessionM32C_E8a_system" 
 [GENERAL_DATA_PROJECT]
 [GENERAL_DATA_CONFIGURATION_Debug]
-"PROJECT_FILES_MODIFIED_DATA_TAG" "TRUE" 
+"PROJECT_FILES_MODIFIED_DATA_TAG" "FALSE" 
 [SESSIONS_Debug]
 "DefaultSession" 
 "SessionM32C_E8a_system" 
Index: branch/mbaye/Emb_App.hws
===================================================================
--- branch/mbaye/Emb_App.hws	(revision 180)
+++ branch/mbaye/Emb_App.hws	(revision 181)
@@ -3,12 +3,12 @@
 [DATABASE_VERSION]
 "11.0" 
 [WORKSPACE_DETAILS]
-"Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
+"Emb_App" "E:\tp_info6_2018_mbaye\tp_info6" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App.hws" "M16C/80,M32C" "Renesas M32C Standard" 
 [SHARED_WORKSPACE_CONTROL_STATUS]
 "" "" "" 
 "" "" "" 
 [PROJECTS]
-"EmbM32C87App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App" "E:\programmation\Travaux_Pratiques\Polytech_Ge_Travaux_Pratiques_2018\polytech-ge-info6-2018\trunk\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
+"EmbM32C87App" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App" "E:\tp_info6_2018_mbaye\tp_info6\Emb_App\EmbM32C87App.hwp" 4 
 [INFORMATION]
 "No workspace information available" 
 [SCRAP]
